Subject: Re: [bug#54069] [PATCH v2 3/4] gnu: libosinfo: Unbundle usb.ids, pci.ids.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 28 Feb 2022 12:48:43 +0100

Hi!

Maxime Devos <[email-masked]> skribis:

> Ludovic Courtès schreef op zo 27-02-2022 om 22:23 [+0100]:
>> Can’t we instead do:
>> 
>>   #~(let* ((usb.ids (string-append #$hwdata:usb "/share/hwdata/usb.ids"))
>>            (pci.ids (string-append #$hwdata:pci "/share/hwdata/pci.ids")))
>>       …)
>> 
>> ?
>
> We could, and that's what the original v2 patch did.
> However, this prevents package transformations:

Right, but maybe that’s good enough?…

Otherwise, we can do:

  #~(let* ((usb.ids (string-append
                     (ungexp (this-package-inputs "hwdata") "usb")
                     …)))
      …)

[...]

> Ludovic Courtès schreef op zo 27-02-2022 om 22:23 [+0100]:
>> I think this is equivalent to:
>> 
>>   #~(let* ((inputs #$(input-tuples->gexp (package-inputs this-package)))
>>            …)
>>       …)
>> 
>> Am I right?
>
> That's what I suggested initially:
>
>> > #~(let* ((inputs #$(input-tuples->gexp (package-inputs this-
>> package)))
>> >          (usb.ids (search-input-file inputs
>> "/share/hwdata/usb.ids"))
>> >          (pci.ids (search-input-file inputs
>> "/share/hwdata/pci.ids")))
>> >     (list (string-append "-Dwith-usb-ids-path=" usb.ids) [...]))
>> > 
>> 
>
> However, that lead to errors -- strings like #<package foo [...]>
> appeared in the builder.

Hmm weird.

Thanks,
Ludo’.